[L10n][Music]Upper Sorbian:The "Shuffle all" is displayed with truncation in select songs view.

VERIFIED FIXED

Status

Mozilla Localizations
hsb / Upper Sorbian
VERIFIED FIXED
2 years ago
2 years ago

People

(Reporter: Lancy(Leave from Mozilla), Unassigned)

Tracking

(Blocks: 1 bug)

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-v2.5 verified, b2g-master verified)

Details

(Whiteboard: LocRun2.5)

Attachments

(2 attachments)

(Reporter)

Description

2 years ago
Created attachment 8697210 [details]
Upper Sorbian_Shuffle all_v2.2&v2.5&master.png

[1.Description]:
[L10n][Flame v2.2&v2.5&master][Music]Upper Sorbian: The "shuffle all" is displayed with truncation in Playlists view.
See attachment:Upper Sorbian_Shuffle all_v2.2&v2.5&master.png

[2.Testing Steps]: 
1.Put some songs in DUT and set your phone language as Upper Sorbian.
2.Launch Music and select "Playlists" tab.

[3.Expected Result]: 
2.The "shuffle all" should not be displayed with truncation.

[4.Actual Result]: 
2.The "shuffle all" is displayed with truncation.

[5.Reproduction build]: 
FlameKK master 512mb build (Affected)
Build ID               20151209150205
Gaia Revision          961528f4391668bc89ec0be14fa367cea099b588
Gaia Date              2015-12-08 18:11:20
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/b40ba117fa757861c9caa660ae989122718b494b
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151209.182453
Firmware Date          Wed Dec  9 18:25:03 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Flame v2.5 512mb build (Affected)
Build ID               20151209170211
Gaia Revision          7ca639a7bb0bacf27f548841c52617bfc0e3b21f
Gaia Date              2015-12-09 14:07:01
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/a35e8eb98969970d1af28b265bf99a9edd11e9c2
Gecko Version          44.0a2
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151209.161633
Firmware Date          Wed Dec  9 16:16:42 UTC 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

FlameKK v2.2 512mb build (Affected)
Build ID               20151209032501
Gaia Revision          885647d92208fb67574ced44004ab2f29d23cb45
Gaia Date              2015-10-07 13:05:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/4381c4b69b9c
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151209.070444
Firmware Date          Wed Dec  9 07:04:55 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
12774

[8.Note]:
The "shuffle all" is overlapped with the shuffle all icon on v2.2 build.
(Reporter)

Updated

2 years ago
QA Whiteboard: [MGSEI-l10n-2F]
status-b2g-v2.2: --- → affected
status-b2g-v2.5: --- → affected
status-b2g-master: --- → affected

Comment 1

2 years ago
Hello, I'm the translator for Upper Sorbian Lower Sorbian.

I shortened the string to "Wšě, připadny porjad" for Upper Sorbian and "Wše, pśipadny porěd" for Lower Sorbian for Fxos 2.5 and Fxos Master on Pootle.
(Reporter)

Comment 2

2 years ago
Created attachment 8697909 [details]
Verify1_Upper Sorbian_Shuffle all_v2.5&master.png

This issue is verified as pass on latest FlameKK v2.5&master build in Upper Sorbian language by the same STR  in comment 0.
Actual result:The "shuffle all" is displayed without truncation.
See attachment:Verify1_Upper Sorbian_Shuffle all_v2.5&master.png.
Reproducing rate:0/10

FlameKK v2.5 512mb build(Pass)
Build ID               20151211164817
Gaia Revision          062e0fa48c1b5d5156f6911a5a4519128fac3231
Gaia Date              2015-12-11 15:06:09
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/ded0306e0d78528cdcb237c8b05543390f10ec96
Gecko Version          44.0a2
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151211.160256
Firmware Date          Fri Dec 11 16:03:05 UTC 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

FlameKK master 512mb build(Pass)
Build ID               20151213030223
Gaia Revision          d886e152b42e557db612470d3417fe2947cbdeee
Gaia Date              2015-12-10 21:39:23
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/f07e71078bc8991f74c2101944c8f869c77f442a
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151213.064610
Firmware Date          Sun Dec 13 06:46:23 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
(Reporter)

Updated

2 years ago
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
(Reporter)

Updated

2 years ago
Status: RESOLVED → VERIFIED
QA Whiteboard: [MGSEI-l10n-2F] → [MGSEI-l10n-2F][MGSEI-Triage+]
status-b2g-v2.5: affected → verified
status-b2g-master: affected → verified
You need to log in before you can comment on or make changes to this bug.